function audio_player_openNav() {
  jQuery(".sidenav").addClass('show');
}
function audio_player_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function audio_player_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const audio_player_nav = document.querySelector( '.sidenav' );

      if ( ! audio_player_nav || ! audio_player_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...audio_player_nav.querySelectorAll( 'input, a, button' )],
        audio_player_lastEl = elements[ elements.length - 1 ],
        audio_player_firstEl = elements[0],
        audio_player_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && audio_player_lastEl === audio_player_activeEl ) {
        e.preventDefault();
        audio_player_firstEl.focus();
      }

      if ( shiftKey && tabKey && audio_player_firstEl === audio_player_activeEl ) {
        e.preventDefault();
        audio_player_lastEl.focus();
      }
    } );
  }
  audio_player_keepFocusInMenu();
} )( window, document );

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });

  var owl = jQuery('.feature-sec .owl-carousel');
    owl.owlCarousel({
    margin: 15,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: true,
    dots: true,
    navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 2
      },
      1000: {
        items: 2
      },
      1200: {
        items: 2
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});
